claw::buffered_istream< Stream > Class Template Reference

This class is made to help reading istreams with a buffer. More...

`#include <buffered_istream.hpp>`

## Public Member Functions

| buffered_istream (stream_type &f)
unsigned int | remaining () const
bool | read_more (unsigned int n)
const char * | get_buffer () const
char | get_next ()
bool | read (char *buf, unsigned int n)
void | move (unsigned int n)
void | close ()
| operator bool () const

## Detailed Description

template<typename Stream>
class claw::buffered_istream< Stream >

This class is made to help reading istreams with a buffer.

Author
  Julien Jorge

Definition at line 42 of file buffered_istream.hpp.

The documentation for this class was generated from the following file:

- buffered_istream.hpp